# Elastic search wrapper for Python

This library allows access to a Elasticsearch from a Python program.

https://pypi.org/project/elasticsearchlib/


## Installation

### Command line
This library can be installed with the following command:

```
pip3 install elasticsearchlib
```
### Dockerfile

You can add these lines in your Dockerfile to include this library in your image:

```
RUN pip3 install elasticsearchlib
```

## Uploading to pip

These steps are needed to distribute the library on Pip repository manager:

### Prerequisites

First, these packages must be installed on your Python environment:

* Setuptools
* Wheel
* Twine
* Tqdm

```
sudo python -m pip install --upgrade pip setuptools wheel
sudo python -m pip install tqdm
sudo python -m pip install --user --upgrade twine
```

### Customization

On the _setup.py_ file, these fields can be customized:

* **Version**: The current version of the build.

### Execution

```
python3 setup.py bdist_wheel
```
This command will generate a _.whl_ file inside the _dist_ of this. Then, execute the following command to upload this file to PyPi repository:

```
python3 -m twine upload dist/*
```


## Usage
TODO